Subject: "kill -l" doesn't conform to POSIX when POSIXLY_CORRECT is set

From: [email-masked]
Date: Sun, 11 Sep 2011 01:25:38 -0700

>From http://pubs.opengroup.org/onlinepubs/9699919799/utilities/kill.html:

  When the -l option is specified, the symbolic name of each signal shall
be written in the following
  format:

  "%s%c", <signal_name>, <separator>

  where the <signal_name> is in uppercase, without the SIG prefix, and the
<separator> shall be
  either a <newline> or a <space>. For the last signal written,
<separator> shall be a <newline>.

"kill -l" currently prints a table with each signal preceded by its number
and with the SIG prefixes, even with POSIXLY_CORRECT.